<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

$content 
  = "CREATE TABLE IF NOT EXISTS web_protocol ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'user_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'sqltime', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'tablename', 'VARCHAR', '30' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'fieldname', 'VARCHAR', '30' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'identifier', 'VARCHAR', '30' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'oldvalue', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'newvalue', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'sqltype', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'status', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'bearbeiter', 'VARCHAR', '2' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'bearbdatum', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_protocol', 'actionid', 'INTEGER', '11' );


CREATE TABLE IF NOT EXISTS web_passwords_users ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'login', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'password', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'gesperrt_bis', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'anzahl_fehlversuche', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'hashversion', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_passwords_users', 'auth_extern', 'INTEGER', '11' );
CALL StrukturFeldVerlaengern( 'web_passwords_users', 'login', 'VARCHAR', '100' );

CREATE TABLE IF NOT EXISTS web_sights_settings ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'sight_field_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'title', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'width', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'fontsize', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'x', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'y', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'mandatory_field', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'depositation_only', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'height', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'is_label', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'textfarbe', 'VARCHAR', '7' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'ausrichtung', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'head', 'VARCHAR', '32' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'tail', 'VARCHAR', '32' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'wenn_leer', 'VARCHAR', '128' );
CALL StrukturFeldHinzufuegen( 'web_sights_settings', 'responsive', 'VARCHAR', '1' );


CREATE TABLE IF NOT EXISTS web_privileges_kurse ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_privileges_kurse', 'user_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_privileges_kurse', 'tool_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_privileges_kurse', 'pattern', 'TEXT', '65535' );


CREATE TABLE IF NOT EXISTS web_wblogins_pw ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'login', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'password', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'tnr', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'salt', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'pw_geaendert', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'wbloginsid', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_pw', 'hashversion', 'INTEGER', '11' );


CREATE TABLE IF NOT EXISTS web_statistic ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_statistic', 'u_id', 'VARCHAR', '32' );
CALL StrukturFeldHinzufuegen( 'web_statistic', 'request_date', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic', 'user_agent', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_statistic', 'request_action', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic', 'webpage_id', 'BINARY', '16' );


CREATE TABLE IF NOT EXISTS web_statistic_params ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_statistic_params', 's_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic_params', 'param_name', 'VARCHAR', '20' );
CALL StrukturFeldHinzufuegen( 'web_statistic_params', 'param_value', 'VARCHAR', '255' );


CREATE TABLE IF NOT EXISTS web_statistic_aggr ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'monat', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'jahr', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'feature', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'anzahl', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'subfeature', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'sonstiges', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_statistic_aggr', 'webpage_id', 'BINARY', '16' );


CREATE TABLE IF NOT EXISTS web_settings ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_settings', 'tool_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_settings', 'settings', 'TEXT', '65535' );


CREATE TABLE IF NOT EXISTS web_tnlisten ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'listid', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'toolid', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'teilnehmer', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'spalten', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'kopf', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'filter', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'status', 'VARCHAR', '10' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'sort', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'fuss', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'caption', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'portrait', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'abstand', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'kommentar', 'VARCHAR', '2' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer1', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer1size', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer1bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer2', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer2size', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer2bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer3', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer3size', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer3bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer4', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer4size', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer4bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer5', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer5size', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'footer5bold', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'SpaltenUeb1', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'SpaltenUeb2', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'SpaltenUeb3', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'SpaltenUeb4', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'SpaltenUeb5', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'text1', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_tnlisten', 'text2', 'TEXT', '65535' );


CREATE TABLE IF NOT EXISTS web_drucklisten ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'listid', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'toolid', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'typ', 'VARCHAR', '2' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'description', 'VARCHAR', '30' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'listsettings', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'title1', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'title2', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'endbem', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'feed', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'portrait', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'zusatzspalten', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_drucklisten', 'ausfall', 'VARCHAR', '1' );


CREATE TABLE IF NOT EXISTS web_aktuelles ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'titel', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'inhalt', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'erstelldatum', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'autor_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'benutzergruppe', 'VARCHAR', '15' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'letzter_bearbeiter', 'VARCHAR', '30' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'letzter_bearbeitung_datum', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'dnr_privatnachricht', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'gueltigbis', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles', 'bezirk', 'VARCHAR', '200' );

CREATE TABLE IF NOT EXISTS web_aktuelles_wb ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'autor', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'titel', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'inhalt', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'bildpfad', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'erstelldatum', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'anzeige_news', 'BOOLEAN' , true);
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'anzeige_rss', 'BOOLEAN' , true);
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'gueltigab', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_aktuelles_wb', 'gueltigbis', 'DATETIME', '0' );

CREATE TABLE IF NOT EXISTS web_akt_freigabe(id int(11) NOT NULL AUTO_INCREMENT, wa_id int(11) NOT NULL, person_typ varchar(1) NOT NULL, person_id int(11) NOT NULL, person_guid binary(16) NULL, schreiben varchar(1) NOT NULL, erstelltam datetime NOT NULL, INDEX web_akt_freigabe_person_idx(person_typ, person_id, person_guid), PRIMARY KEY (id));

CREATE TABLE IF NOT EXISTS web_akt_fachb ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_akt_fachb', 'akt_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_akt_fachb', 'fachb_kennz', 'VARCHAR', '2' );


CREATE TABLE IF NOT EXISTS web_dbloptin ( optin varchar(32) NOT NULL, PRIMARY KEY (optin) );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'bearbdatum', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'bemerkung', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'email', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'emailhash', 'VARCHAR', '32' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'fax', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'geschlecht', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit1', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit2', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit3', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit4', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit5', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'krit6', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'mobil', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'name', 'VARCHAR', '35' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'ort', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'status', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'strasse', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'tel', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'tel2', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'vorname', 'VARCHAR', '35' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'zusatz', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'zusatz2', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'zusatz3', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'feature', 'integer', '11' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'passwort', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'salt', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'hashversion', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'passworttext', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'dse_unterschrieben_datum', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'gebdat', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'name_titel', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'sozarbeitgeber', 'VARCHAR', '60' );
CALL StrukturFeldHinzufuegen( 'web_dbloptin', 'weitermeldecode_id', 'INTEGER', '11' );
CALL StrukturFeldVerlaengern( 'web_dbloptin', 'passwort', 'VARCHAR', '255' );

CREATE TABLE IF NOT EXISTS web_dbloptininteressen ( dbloptinid varchar(32) NOT NULL, kennz varchar(2) NOT NULL, PRIMARY KEY (dbloptinid,kennz) );


CREATE TABLE IF NOT EXISTS web_dbloptinkennz ( dbloptinid varchar(32) NOT NULL, kennzeichen int(11) NOT NULL, PRIMARY KEY (dbloptinid,kennzeichen) );


CREATE TABLE IF NOT EXISTS web_sights ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_sights', 'tool_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'description', 'VARCHAR', '255' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'header', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'body', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'footer', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'nodata', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_sights', 'nocolumns', 'TEXT', '65535' );

CALL StrukturFeldVerlaengern( 'web_replikat_settings', 'name', 'VARCHAR', '100' );
CREATE TABLE IF NOT EXISTS web_login_protocol ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_login_protocol', 'user_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_login_protocol', 'modul', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_login_protocol', 'vorgang', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_login_protocol', 'zeitpunkt', 'DATETIME', '0' );
CALL StrukturFeldHinzufuegen( 'web_login_protocol', 'login', 'VARCHAR', '100' );
CALL StrukturFeldVerlaengern( 'web_login_protocol', 'login', 'VARCHAR', '100' );

CREATE TABLE IF NOT EXISTS web_wblogins_dbloptin ( token varchar(60) NOT NULL, PRIMARY KEY (token) );
CALL StrukturFeldHinzufuegen( 'web_wblogins_dbloptin', 'expires', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_dbloptin', 'web_wblogin_id', 'INTEGER', '11' );

CREATE TABLE IF NOT EXISTS web_visitenkarten ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'tnr', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'anrede', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'name', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'vorname', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'firma', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'firma2', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'firma_url', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'strasse', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'plz', 'VARCHAR', '20' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'ort', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'nation', 'VARCHAR', '40' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'bundesland', 'VARCHAR', '25' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'telefon', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'email', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_visitenkarten', 'aktiv', 'VARCHAR', '1' );

CREATE TABLE IF NOT EXISTS web_fachg_visitenkart ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_fachg_visitenkart', 'web_visitenkarte_id', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_fachg_visitenkart', 'sachg', 'INTEGER', '11' );

CREATE TABLE IF NOT EXISTS web_tools_login_error( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_tools_login_error', 'iphash', 'TEXT', '65535' );
CALL StrukturFeldHinzufuegen( 'web_tools_login_error', 'anzahl_versuche', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_tools_login_error', 'letzter_fehlversuch', 'DATETIME', '11' );

CREATE TABLE IF NOT EXISTS web_epaystate( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY(id) );
CALL StrukturFeldHinzufuegen( 'web_epaystate', 'tid', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_epaystate', 'payment_state', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_epaystate', 'creation_date', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_epaystate', 'attempts', 'INT', '3' );
CALL StrukturFeldHinzufuegen( 'web_epaystate', 'error_processed', 'DATETIME', '19' );

CREATE TABLE IF NOT EXISTS web_merkliste ( id int(11) NOT NULL AUTO_INCREMENT,  PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_merkliste', 'tnr', 'INT', '11' );
CALL StrukturFeldHinzufuegen( 'web_merkliste', 'knr', 'VARCHAR', '10' );
CALL StrukturFeldHinzufuegen( 'web_merkliste', 'erstellt', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_merkliste', 'email_versandt', 'DATETIME', '19' );

CREATE TABLE IF NOT EXISTS web_users_settings ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'user_id', 'INT', '1' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'sort_kurse', 'VARCHAR', '20' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'sort_kurse_asc', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'sort_kurse2', 'VARCHAR', '20' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'sort_kurse2_asc', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'zsa_moeglichst_wenige_emails', 'VARCHAR', '1' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'zahlung_info', 'VARCHAR', '1000' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'mail_anhang', 'MEDIUMBLOB', '' );
CALL StrukturFeldHinzufuegen( 'web_users_settings', 'mail_anhang_dateiname', 'VARCHAR', '255' );

CREATE TABLE IF NOT EXISTS web_epay_tids ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_epay_tids', 'tid', 'VARCHAR', '50' );
CALL StrukturFeldHinzufuegen( 'web_epay_tids', 'tid_datum', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_epay_tids', 'tid_merchant', 'VARCHAR', '100' );
CALL StrukturFeldHinzufuegen( 'web_epay_tids', 'tid_merchant_datum', 'DATETIME', '19' );
CALL StrukturFeldHinzufuegen( 'web_epay_tids', 'payonline', 'VARCHAR', '100' );

CREATE TABLE IF NOT EXISTS web_wblogins_settings ( id int(11) NOT NULL AUTO_INCREMENT, PRIMARY KEY (id) );
CALL StrukturFeldHinzufuegen( 'web_wblogins_settings ', 'tnr', 'INTEGER', '11' );
CALL StrukturFeldHinzufuegen( 'web_wblogins_settings ', 'merklisteErinnerungsmailaktiv', 'VARCHAR', '1' );

CREATE TABLE IF NOT EXISTS feedbackretour2 (id INT AUTO_INCREMENT NOT NULL PRIMARY KEY, gedrucktid INT NULL, bogenid INT NULL, retourvon VARCHAR(2) NULL, retouram DATETIME NULL, bemerkung TEXT NULL, bearbeiter VARCHAR(2) NULL, bearbdatum DATETIME NULL, erfasstvon VARCHAR(2) NULL, erfasstam DATETIME NULL);

CREATE TABLE IF NOT EXISTS feedbackretourdetails2 (id INT AUTO_INCREMENT NOT NULL PRIMARY KEY,  retourid INT NULL, frageid INT NULL, wert INT NULL, antwort TEXT NULL, bearbeiter VARCHAR(2) NULL, bearbdatum DATETIME NULL, erfasstvon VARCHAR(2) NULL, erfasstam DATETIME NULL, bogenfragenid INT NULL);

CREATE TABLE IF NOT EXISTS feedbackgedruckt2 (id INT AUTO_INCREMENT NOT NULL PRIMARY KEY, nr INT NULL, typ VARCHAR(1) NULL, knr VARCHAR(10) NULL, bogenid INT NULL, druckdatum DATETIME NULL, bearbeiter VARCHAR(2) NULL, bearbdatum DATETIME NULL, erfasstvon VARCHAR(2) NULL, erfasstam DATETIME NULL, dnr INT NULL);

CREATE TABLE IF NOT EXISTS feedbackcode2 (id INT AUTO_INCREMENT NOT NULL PRIMARY KEY, code VARCHAR(10) NULL, bogenid INT NULL, knr VARCHAR(10) NULL, tnr INT NULL, belegid INT NULL, gueltigbis DATETIME NULL, eingeloestam DATETIME NULL, erfasstam DATETIME NULL, erfasstvon VARCHAR(2) NULL, dnr INT NULL, dozkursid INT NULL);
CALL StrukturFeldHinzufuegen( 'feedbackcode2', 'is_kurscode', 'VARCHAR', '1');
CALL StrukturFeldHinzufuegen( 'feedbackcode2', 'fuer_dozent', 'INTEGER', '11');
";